{{ define "header" }}
  {{ partialCached "page/page-header.html" . . }}
{{ end }}

{{ define "main" }}

  {{- $currentPage := . -}}
  {{- $asidecond := or (not (not .Params.widgets)) ($.Scratch.Get "isMenuRapid") -}}
  <section class="w-full pb-2 border-b">
    <header class="prose mt-3 lg:prose-lg">
      {{- with .Params.header_text -}}
      <h1>{{ . }}</h1>
      {{- else -}}
      <h1>Bienvenue</h1>
      {{- end -}}
      {{- with .Params.description_short | default .Params.description | default .Params.legacy_text | default .Content -}}
        {{ $content := printf "%s/*contenudelapagedaccueil*" . }}
        {{ partialCached "elements/content.html" $content $content }}
      {{- else -}}
        {{- with ($.Scratch.Get "title") -}}
        Bienvenue sur le site officiel de la mairie de {{ trim . "\n" }}. Vous y trouverez des pages sur les démarches administratives ainsi que les informations essentielles sur l’activité de la commune.
        {{- end -}}
      {{- end -}}
    </header>

  {{- if $asidecond -}}

    {{- with ($.Scratch.Get "isMenuRapid") -}}
      <aside class="widgets mt-3 print:hidden">
        <div id="acces-rapides" style="padding-top: 1rem">
          <h2 class="text-xs font-normal uppercase tracking-wide text-mitigate">Accès rapides</h2>
          <ul role="list" class="grid grid-link">
          {{ range . }}
            {{- partialCached "page/page-link" . . -}}
          {{ end }}
          </ul>
        </div>
      </aside>
    {{- else -}}
      {{- with .Params.widgets -}}
      <aside class="widgets mt-2 print:hidden">
        {{ range $widget := . -}}
          {{- $path := printf "%s%s" "widgets/" $widget -}}
          {{ partialCached $path $currentPage $currentPage }}
        {{- end }}
      </aside>
      {{- end -}}
    {{- end -}}
  {{- end -}}

  {{- partialCached "sections/posts" $currentPage $currentPage -}}

  </section>

{{- end -}}
